> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/88.-mutacija-eksportet-zonesmap-ka-zip-arhiva-iesainotu-shapefile.md).

# 88. Mutācija: eksportēt ZonesMap kā ZIP arhīvā iesaiņotu shapefile

Ģenerēt zip arhīvu ar izvēlēto "ZonesMap" kā shapefile.

{% hint style="info" %}
Arhīvs sastāv no \*.shp, \*.shx, \*.prj, \*.dbf failiem EPSG:4326.
{% endhint %}

### 1. Sagatavošana

* Atribūts `vectorAnalysisMaps` satur masīvu ar ZonesMaps (VectorAnalysisMaps) objektiem, kas jāeksportē. Katrs šāds objekts ietver pāri no `fieldUuid` (saiste ar izvēlēto lauku) un `uuid` (saiste ar izvēlēto ZonesMap).
* Būla atribūts `asMultiGeometry` nosaka, vai zonas tiek eksportētas kā `Poligoni` vai `Multipoligoni` (kad iestatīts uz `true` ).
* Būla atribūts `onlyProductColumns` norāda, vai shapefile jāiekļauj tikai kolonnas ar produktiem (RX) (kad `true`). Citādi tiks iekļauti visi statistiskie atribūti un zonas ID kā kolonnas.
* Atribūts `archiveName` satur ģenerētā zip arhīva nosaukumu.
* Atribūts `filePostfix` ļauj pievienot pielāgotus sufiksus eksportētajiem failiem un arhīvam.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    ievade: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Lejupielādēt ģenerēto arhīvu

Pēc GraphQL vaicājuma izpildes to iespējams lejupielādēt, izmantojot `curl` vai līdzīgu pieeju.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/88.-mutacija-eksportet-zonesmap-ka-zip-arhiva-iesainotu-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
